<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

Route::get('/', [\App\Http\Controllers\Controller::class, "ping"]);

Route::post("/auth/codeToSession", [\App\Modules\Mini\Controllers\AuthController::class, "codeToSession"]);
Route::post("/auth/decryptUserInfo", [\App\Modules\Mini\Controllers\AuthController::class, "decryptUserInfo"]);
Route::post("/auth/decryptPhone", [\App\Modules\Mini\Controllers\AuthController::class, "decryptPhone"]);

Route::get("/page/home", [\App\Modules\Mini\Controllers\PageController::class, "home"]);
Route::get("/page/categoryTree", [\App\Modules\Mini\Controllers\PageController::class, "categoryTree"]);
Route::get("/page/categoryGoods", [\App\Modules\Mini\Controllers\PageController::class, "categoryGoods"]);
Route::get("/page/filterConfig", [\App\Modules\Mini\Controllers\PageController::class, "filterConfig"]);
Route::get("/page/goods", [\App\Modules\Mini\Controllers\PageController::class, "goods"]);

